Opwaardering Ubuntu 16.04

Vragen/antwoorden betreffende Linux / Unix
Toby
Berichten: 782
Lid geworden op: za 08 jan 2005, 20:44
Locatie: Het Soete Land Van Waes

ma 30 apr 2018, 20:34

Een laptop draait al enige tijd Ubuntu 14.04.3 LTS.

Onlangs kreeg ik de melding voor "Upgraden Ubuntu naar versie 16.04" en toen ik deze opwaardering bevestigde, kreeg ik na enkele seconden de reactie "De vereiste afhankelijkheden zijn niet geïnstalleerd" (in English : "The required dependency apt (>=1.0.1 ubuntu 213) is not installed").

Aan de hand van die melding, zocht ik het net af, maar vond geen afdoende richtlijn.

Is dit probleem iemand bekend of kijk ik er over ?
Warning : possibly one of those messages above, could be sent by a very old Acer Aspire laptop, proudly using Linux Mint 19.1 "Tessa" Cinnamon 64 bits operating system.
How about that ?
hovel
Berichten: 484
Lid geworden op: di 31 mei 2005, 14:37

di 01 mei 2018, 9:17

Toby schreef: "The required dependency apt (>=1.0.1 ubuntu 213) is not installed
Dit betekent dat de versie van het apt pakket in ubuntu 14.04.3 niet recent genoeg is.
U kan best eerst upgraden naar ubuntu 14.04.5 en daarna upgraden naar 16.04. 

p.s. Versie 18.04 is pas uit. Na de upgrade naar 16.04 kan u dan eventueel nog upgraden naar versie 18.04.

Een alternatief is natuurlijk een voledig nieuwe installatie maar dan moet je natuurlijk voorzorgen nemen om niets kwijt te spelen.
hviaene
Berichten: 877
Lid geworden op: ma 05 apr 2004, 16:46
Locatie: Merksem

di 01 mei 2018, 10:43

Ik werk wel niet met Ubuntu, maar met Mageia, maar dat maakt in deze niet echt uit.
Heb je bij de originele installatie ervoor gezorgd dat je /home op een aparte partitie staat? Dan zit je goed. Zorgen voor een backup van je gegevens kan natuurlijk nooit kwaad. Maar in zo'n konfiguratie zal ik nooit nog maar proberen om een upgrade van het sisteem te doen. Ik doe altijd een kompleet nieuwe installatie. Daarbij wordt dan aan je /home partitie niet geraakt, je moet alleen zien dat je dezelfde gebruiker opnieuw aanmaakt op het einde van de installatie.
Reden hiervoor: als je een upgrade doet, probeert het sisteem de bestaande konfiguratie bestanden te herbruiken. Dat zal meestal wel lukken, maar soms zijn de veranderingen in het formaat van een konfiguratie dusdanig dat het betreffende programma niet goed meer werkt.
Of dat dikwijls voorvalt?? Eerlijk gezegd ik denk het niet zo dikwijls, maar ik ben het een paar keer tegengekomen, en ik hoef het niet meer. Vooral als je een KDE gebruiker bent, dan is de omschakeling naar de nieuwe versie (Plasma) niet te vertrouwen met een upgrade.
Toby
Berichten: 782
Lid geworden op: za 08 jan 2005, 20:44
Locatie: Het Soete Land Van Waes

wo 02 mei 2018, 18:02

hovel schreef:
Toby schreef: "The required dependency apt (>=1.0.1 ubuntu 213) is not installed
Dit betekent dat de versie van het apt pakket in ubuntu 14.04.3 niet recent genoeg is.
U kan best eerst upgraden naar ubuntu 14.04.5 en daarna upgraden naar 16.04. 
p.s. Versie 18.04 is pas uit. Na de upgrade naar 16.04 kan u dan eventueel nog upgraden naar versie 18.04.
Een alternatief is natuurlijk een voledig nieuwe installatie maar dan moet je natuurlijk voorzorgen nemen om niets kwijt te spelen.
Bedankt voor de info.
Ik ga dit dadelijk eens nagaan.  :wink:
Warning : possibly one of those messages above, could be sent by a very old Acer Aspire laptop, proudly using Linux Mint 19.1 "Tessa" Cinnamon 64 bits operating system.
How about that ?
Toby
Berichten: 782
Lid geworden op: za 08 jan 2005, 20:44
Locatie: Het Soete Land Van Waes

wo 02 mei 2018, 18:05

hviaene schreef:Ik werk wel niet met Ubuntu, maar met Mageia, maar dat maakt in deze niet echt uit.
Heb je bij de originele installatie ervoor gezorgd dat je /home op een aparte partitie staat? Dan zit je goed. Zorgen voor een backup van je gegevens kan natuurlijk nooit kwaad. Maar in zo'n konfiguratie zal ik nooit nog maar proberen om een upgrade van het sisteem te doen. Ik doe altijd een kompleet nieuwe installatie. Daarbij wordt dan aan je /home partitie niet geraakt, je moet alleen zien dat je dezelfde gebruiker opnieuw aanmaakt op het einde van de installatie.
Reden hiervoor: als je een upgrade doet, probeert het sisteem de bestaande konfiguratie bestanden te herbruiken. Dat zal meestal wel lukken, maar soms zijn de veranderingen in het formaat van een konfiguratie dusdanig dat het betreffende programma niet goed meer werkt.
Of dat dikwijls voorvalt?? Eerlijk gezegd ik denk het niet zo dikwijls, maar ik ben het een paar keer tegengekomen, en ik hoef het niet meer. Vooral als je een KDE gebruiker bent, dan is de omschakeling naar de nieuwe versie (Plasma) niet te vertrouwen met een upgrade.
Wat je hier schrijft zal zeker kloppen.
Ik las een gelijkaardig verhaal bij een gekend Linux Mint "raadgever", waarbij hij adviseert om bij upgrades naar een recenter versie, beter een volledige nieuwe installatie na te streven.
Bedankt voor de info hoor.  :wink:
Warning : possibly one of those messages above, could be sent by a very old Acer Aspire laptop, proudly using Linux Mint 19.1 "Tessa" Cinnamon 64 bits operating system.
How about that ?

Terug naar “Computer - Linux / Unix”